﻿
if exists ( select * from sysobjects where id = object_id ( 'dbo.A_CallCenter_Temp_UpdateCatTables' ))
	Drop procedure dbo.A_CallCenter_Temp_UpdateCatTables
GO

Create procedure [dbo].[A_CallCenter_Temp_UpdateCatTables]
as 

begin

	-- operators
	Update cat
	Set cat.Name = s.Name
	From [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_OperatorInfo] cat, A_Users s
	Where cat.Id = s.Id

	Insert Into [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_OperatorInfo] ( Id, Name )
	Select Id, Name
	From A_Users s
	Where Not Exists ( Select Id From [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_OperatorInfo] cat Where cat.Id = s.Id )

	declare @cnt int
	Select @cnt = Count ( * ) from [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_OperatorInfo]
	Where Id = 'AB000000-0000-0000-0000-000000000000'
	if ( @cnt = 0 )
		Insert into [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_OperatorInfo] ( Id, Name )
		Values ( 'AB000000-0000-0000-0000-000000000000', 'IVR' )



	-- tasks
	Update cat
	Set cat.Name = s.Name
	From [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_Task] cat, A_TaskManager_Tasks s
	Where cat.Id = s.Id

	Insert Into [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_Task]
	Select Id, Name,Type, Isoutputtask
	From A_TaskManager_Tasks s
	Where Not Exists ( Select Id From [oktell_cc_temp].[dbo].[A_Cube_CC_Cat_Task] cat Where cat.Id = s.Id )

end
GO
