﻿if exists ( Select * from sysobjects where id=object_id ( 'dbo.W_Stat_FillTempByFilter' ))
     Drop procedure dbo.W_Stat_FillTempByFilter
GO


Create Procedure [dbo].[W_Stat_FillTempByFilter]
	@iduser uniqueidentifier,
	@dstart datetime,
	@dstop datetime,
	--@tstart datetime,
	--@tstop datetime,
	@lentime datetime,
	@taskid uniqueidentifier = NULL, --Task defined
	@fromcc bit = NULL,
	@idoperator uniqueidentifier , --Operator defined
	@idgroup uniqueidentifier = NULL,
	@idclient uniqueidentifier = NULL,
	@innerprefix nvarchar(100) = NULL, --Internal Number defined
	@outnumber nvarchar(100) = NULL,  --Out Number defined
	@type int = -1,--3-входящие 2-исходящие 1-внутренние
	@showconf bit = 0,
	@comment nvarchar ( 4000 ) = NULL
as
begin
--отличается тем, что возвращает всю цепочку коммутаций, если хотя бы одна из коммутаций лежит в указанном временом промежутке 13.02.12

	--declare @iduser uniqueidentifier,
	--	@dstart datetime,
	--	@dstop datetime,
	--	@tstart datetime,
	--	@tstop datetime,
	--	@lentime datetime,
	--	@taskid uniqueidentifier, --Task defined
	--	@fromcc bit,
	--	@idoperator uniqueidentifier, --Operator defined
	--	@idgroup uniqueidentifier, --Operator defined	
	--	@idclient uniqueidentifier, 
	--	@innerprefix nvarchar(100), --Internal Number defined
	--	@outnumber nvarchar(100),  --Out Number defined
	--	@type int,--3-входящие 2-исходящие 1-внутренние
	--	 @showconf bit,
	--	@comment nvarchar ( 4000 )	
	--select
	--@iduser='1654740F-0600-493B-B8FD-B09AC9A5A99C',
	--@dstart = '2012-01-30 15:16',@dstop = '2012-01-30 17:26',
	--@lentime='2006-07-26 00:00:01',@fromcc=0,@showconf  = 1,
	--@type=-1,@comment=N'', @idclient = 'B4E9C018-806E-43AE-80E9-A65B4C5B7B43' --, @idgroup = '4AB09B9D-21BB-483D-AC72-292B1FC71C1D'

		--@iduser,
		--@dstart,
		--@dstop,
		--@lentime,
		--@taskid,
		--@fromcc,
		--@operatorid,
		--@innerprefix,
		--@outnumber,
		--@type,
		--1, -- show conference,
		--@comment

		-- Подготовка параметров
	declare @filtercomment bit
	set @filtercomment = case when ( @comment IS NULL or @comment like '' ) then 0 else 1 end


	--Prepare @A_Stat_Connections_1x1_tmp
	Declare @A_Stat_Connections_1x1_tmp1 table( Id uniqueidentifier PRIMARY KEY) 
	Declare @A_Stat_Connections_1x1_tmp table( Id uniqueidentifier PRIMARY KEY, AUSerId uniqueidentifier, BUSerId uniqueidentifier, ALineId uniqueidentifier, BLineId uniqueidentifier) 
	--Declare @tstartfloat float  declare @tstopfloat float 
	--set @tstartfloat = Convert ( float, @tstart )  
	--set @tstopfloat  = Convert ( float, @tstop )  
	--set @tstartfloat = @tstartfloat - FLOOR ( @tstartfloat )  
	--set @tstopfloat = @tstopfloat - FLOOR ( @tstopfloat )  
	--if ( @tstopfloat <= @tstartfloat )
	--    set @tstopfloat = @tstopfloat + 1

	declare @lt float
	set @lt = Convert ( float, @lentime ) - Floor ( Convert ( float, @lentime ) )


	-- Date & Time Intervals
	-- будем собирать всю цепочку коммутаций, если хотя бы одна из коммутаций лежит в указанном временом промежутке 13.02.12
	Insert into @A_Stat_Connections_1x1_tmp 
	select Id, AUSerId , BUSerId , ALineId , BLineId 
	from A_Stat_Connections_1x1 --With ( TabLock )
	where idchain in (
	select distinct idchain
	from A_Stat_Connections_1x1 sc
	where
		 ( TimeStart >= @dstart ) and ( TimeStart < @dstop ) 
		--and ( Convert ( float, TimeStart ) - FLOOR ( Convert ( float, TimeStart ) ) >= @tstartfloat )  
		--and ( Convert ( float, TimeStart ) - FLOOR ( Convert ( float, TimeStart ) ) <= @tstopfloat ) 
		and ( Convert ( float, TimeStop ) - Convert ( float, TimeAnswer ) >= @lt )
		and (( FromCC is null ) or ( FromCC <= @fromcc ))
		and (@type = -1 or (@type = 3 and ConnectionType in (4,5)) or (@type = 2 and ConnectionType in (1,6,7)) or (@type = 1 and ConnectionType in (2,3,8)))
	)
		--and not exists(select id from  @A_Stat_Connections_1x1_tmp where id=sc.ID)


	--Permissions
	--Users
	declare @upermitted table ( Id uniqueidentifier Primary Key )
	Insert into @upermitted
		Select UserB
		From A_UserControls auc
		Where UserA = @iduser

	if not exists (select UserB from  A_UserControls where UserA = @iduser and UserB = @iduser)
		Insert into @upermitted (Id) Values (@iduser)

	Declare @commpermitted table ( Id uniqueidentifier PRIMARY KEY)  	 -- Id Connection
	Insert into @commpermitted
		Select  sc.ID --auc.UserB   	
		From @upermitted up
			inner join @A_Stat_Connections_1x1_tmp sc on up.Id = sc.AUserId
	
	Insert into @commpermitted
		Select  sc.ID --auc.UserB   	
		From @upermitted up
			inner join @A_Stat_Connections_1x1_tmp sc on up.Id=sc.BUserId
		Where not exists(select id from @commpermitted where Id=sc.ID)


	--Lines
	print '------Lines'
	declare @lpermitted table ( Id uniqueidentifier Primary Key )
	Insert into @lpermitted
    	 Select IdLine
    	 From A_UserControlLines
    	 Where UserA = @iduser
          and IdLine != '11111111-1111-1111-1111-111111111111'       

	declare @canlistenext int       
	Select @canlistenext = Count ( * ) 
	From A_UserControlLines 
	Where UserA = @iduser and IdLine = '11111111-1111-1111-1111-111111111111'

	if ( @canlistenext > 0 )
    		Insert into @lpermitted
	          Select Id 
        	  From A_ServerExtLines sel
	          Where not exists(select id from @lpermitted where Id = sel.ID)
     
	Insert into @commpermitted
    	 Select sc.ID            
    	 From @lpermitted l
          inner join @A_Stat_Connections_1x1_tmp sc on sc.ALineId=l.Id
    	 Where not exists(select id from @commpermitted where Id = sc.ID)

	Insert into @commpermitted            
    	 Select sc.ID            
    	 From @lpermitted l
          inner join @A_Stat_Connections_1x1_tmp sc on  sc.BLineId=l.Id
    	 Where not exists(select id from @commpermitted where Id = sc.ID)

	print '------Lines'

	delete @A_Stat_Connections_1x1_tmp 
	where id not in (select Id from @commpermitted )

--Numbers 
	--Inner
	if @innerprefix is not null 
	begin
		declare @t table ( nid uniqueidentifier, prefix nvarchar ( 50 ) collate database_default, addrtype int, reactid uniqueidentifier )
		declare @temp table ( id uniqueidentifier, prefix nvarchar ( 50 ) collate database_default, addrtype int, oldrid uniqueidentifier, newrid uniqueidentifier )

		Insert Into @t
			Select np.Id, np.Prefix, rr.InnerAddressType, rr.ReactId
			From A_NumberPlan np
				Inner join A_NumberPlanAction na on na.NumId = np.Id
				Inner join A_Rules r on na.ExtraId = r.Id
				Inner join A_RuleRecords rr on rr.RuleId = r.Id

		declare @cnt int
		set @cnt = 0

		while ( @@rowcount > 0 ) and ( @cnt < 10 )
		begin
			Set @cnt = @cnt + 1

			/*Выгребаем ссылки на номера @cnt - уровня*/
			Insert Into @temp
				Select t.nid, t.prefix, t.addrtype, t.reactid, t1.reactid
				From @t t
					Inner join @t t1 on t.Reactid = t1.nId
				Where t.ReactId != t.Nid

			/*Удаляем то что будем менять*/
			Delete From @t
				From @temp
			Where nid = id and reactid = oldrid

			/*вставляем замены*/
			Insert Into @t ( nid, prefix, addrtype, reactid )
				Select id, prefix, addrtype, newrid 
				From @temp

			/*чистим времянку*/
			Delete From @temp	
		end --\MakePrefixTableAnyWay condition

		

		--Users
		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from @A_Stat_Connections_1x1_tmp sc
			inner join @t t on sc.AUserID=t.reactid
		where addrtype = 0 and prefix like @innerprefix

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from @A_Stat_Connections_1x1_tmp sc
			inner join @t t on sc.BUserID=t.reactid
		where addrtype = 0 and prefix like @innerprefix
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)

		--Lines
		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from @A_Stat_Connections_1x1_tmp sc
			inner join @t t on sc.ALineId=t.reactid
		where addrtype = 1 and prefix like @innerprefix
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from @A_Stat_Connections_1x1_tmp sc
			inner join @t t on sc.BLineId=t.reactid
		where addrtype = 1 and prefix like @innerprefix
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)
		
		delete @A_Stat_Connections_1x1_tmp 
			where id not in (select Id from @A_Stat_Connections_1x1_tmp1 )
		delete @A_Stat_Connections_1x1_tmp1
		
	end --\NUmbers

	--Outer NUMBVERS
	if @OutNumber is not null begin

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from A_Stat_Connections_1x1 sc --With ( TabLock )
		where  AOutNumber like '%'+@OutNumber+'%'

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from A_Stat_Connections_1x1 sc --With ( TabLock )
		where  BOutNumber like '%'+@OutNumber+'%'
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)

		delete @A_Stat_Connections_1x1_tmp 
			where id not in (select Id from @A_Stat_Connections_1x1_tmp1 )
		delete @A_Stat_Connections_1x1_tmp1

	end
	--\Outer NUMBVERS
	
	--CLients
	if @idclient is not null begin

	declare @clientcontacts table ( Id nvarchar (255) collate database_default Primary Key )
	insert into @clientcontacts 
	select content
	from A_ClientContacts
	where idclient = @idclient
		
		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from A_Stat_Connections_1x1 sc --With ( TabLock )
		where  exists (select * from @clientcontacts where id = AOutNumber) -- тут возможно придется вставить like

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from A_Stat_Connections_1x1 sc --With ( TabLock )
		where  exists (select * from @clientcontacts where id = BOutNumber) -- тут возможно придется вставить like
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)

		delete @A_Stat_Connections_1x1_tmp 
			where id not in (select Id from @A_Stat_Connections_1x1_tmp1 )
		delete @A_Stat_Connections_1x1_tmp1

	end
	--\--CLients

	--operatorid
	if @idoperator is not null begin

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from @A_Stat_Connections_1x1_tmp sc
		where  AUserId=@idoperator

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id 
		from @A_Stat_Connections_1x1_tmp sc
		where  BUserId=@idoperator
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)

		delete @A_Stat_Connections_1x1_tmp 
			where id not in (select Id from @A_Stat_Connections_1x1_tmp1 )
		delete @A_Stat_Connections_1x1_tmp1
	end

	--idgroup
	if @idgroup is not null begin

		declare @oppsingroup table ( Id uniqueidentifier Primary Key )
		insert into @oppsingroup 
		select id
		from A_Users
		where parentgroupid = @idgroup
		
		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id
		from @A_Stat_Connections_1x1_tmp sc
		where exists (select * from @oppsingroup where id = AUserId)

		Insert into @A_Stat_Connections_1x1_tmp1 
		select Id 
		from @A_Stat_Connections_1x1_tmp sc
		where  exists (select * from @oppsingroup where id = BUserId)
			and not exists(select id from  @A_Stat_Connections_1x1_tmp1 where id=sc.ID)

		delete @A_Stat_Connections_1x1_tmp 
			where id not in (select Id from @A_Stat_Connections_1x1_tmp1 )
		delete @A_Stat_Connections_1x1_tmp1
	end
	
	
	if ( @filtercomment > 0 ) begin

		Delete 
		From @A_Stat_Connections_1x1_tmp
		Where id not in ( Select Id From A_Stat_Comments Where Comment like '%' + @comment + '%' )
	end

	
	Declare @idempty uniqueidentifier
	Set @idempty = '00000000-0000-0000-0000-000000000000'
	
	Declare @idconfuser uniqueidentifier
	Set @idconfuser = 'CF000000-0000-0000-0000-000000000000'


	-- КОНФЕРЕНЦИИ

	/*Declare @upermitted table ( Id uniqueidentifier )
	Insert into @upermitted 
		Select Id From A_USers
	
	Declare @dstart datetime
	Declare @dstop datetime
	Set @dstart = DateAdd ( d, -5, GetDate() )
	Set @dstop = GetDate()
*/
    if ( @showconf = 0 )
    begin

	Select sc.*
	FROM A_Stat_Connections_1x1 sc --With ( TabLock )--,@ulpermitted ul,@tasks t
		Inner join @A_Stat_Connections_1x1_tmp sct on sc.Id=sct.Id
		order by timestart DESC
		--Inner Join @commpermitted cp on sc.ID=cp.ID

	--Select sc.*, 
	--	0 as IsConf, @idempty as Director, sc.TimeStart as CTS, 
	--	case When ( c.Id is null ) then 0 else 1 end as HasComment
	--FROM A_Stat_Connections_1x1 sc --With ( TabLock )--,@ulpermitted ul,@tasks t
		--Inner join @A_Stat_Connections_1x1_tmp sct on sc.Id=sct.Id
		--Left join A_Stat_Comments c on sc.Id = c.Id
		--Inner Join @commpermitted cp on sc.ID=cp.ID
    end

    else

    begin

	-- фильтр по времени	
	Declare @A_Stat_Conference_tmp1 table ( Id uniqueidentifier PRIMARY KEY, RecordAccess int, Director uniqueidentifier )

	-- По идее можно показывать все конференции и коммутации, которые шли в указанный период времени
	--   Но тогда графики нельзя считать аддитивными, поэтому все по точке начала будем собирать
	Insert into @A_Stat_Conference_tmp1
		Select Id, RecordAccess, Director 
		From A_Stat_Conference sc
				Where ( TimeStart <= @dstop ) and ( TimeStop >= @dstart ) --конференция началом или концом попадает в наш промежуток
			--and ( Convert ( float, TimeStart ) - FLOOR ( Convert ( float, TimeStart ) ) >= @tstartfloat )  
			--and ( Convert ( float, TimeStart ) - FLOOR ( Convert ( float, TimeStart ) ) <= @tstopfloat ) 
			and ( Convert ( float, TimeStop ) - Convert ( float, TimeStart ) >= @lt )
		--Where ( TimeStart >= @dstart ) and ( TimeStart < @dstop ) 
		--	and ( Convert ( float, TimeStart ) - FLOOR ( Convert ( float, TimeStart ) ) >= @tstartfloat )  
		--	and ( Convert ( float, TimeStart ) - FLOOR ( Convert ( float, TimeStart ) ) <= @tstopfloat ) 
		--	and ( Convert ( float, TimeStop ) - Convert ( float, TimeStart ) >= @lt )
		--Where ((( TimeStart <= @dstart ) and ( TimeStop > @dstart ))
		--	or (( TimeStart < @dstop ) and ( TimeStop >= @dstop ))
		--	or (( TimeStart <= @dstart ) and ( TimeStop > @dstart ))
		--	or (( TimeStart >= @dstart ) and ( TimeStop <= @dstop )))

	-- фильтр по комментарию (если установлен)
	if ( @filtercomment > 0 )
	  begin
		Delete 
		From @A_Stat_Conference_tmp1
		Where id not in ( Select Id From A_Stat_Comments Where Comment like '%' + @comment + '%' )
	  end


	-- фильтр по правам
	Declare @A_Stat_Conference_tmp2 table ( Id uniqueidentifier PRIMARY KEY )

	Insert into @A_Stat_Conference_tmp2
		Select sc.Id From @A_Stat_Conference_tmp1 sc
			Inner join @upermitted up on sc.Director = up.Id
		Where sc.RecordAccess = 1 --Директор слушает 

	Insert into @A_Stat_Conference_tmp2
		Select sc.Id From @A_Stat_Conference_tmp1 sc			
			Inner join A_Stat_Conference_Competitors scc on sc.Id = scc.IdConf
			Inner join @upermitted up on scc.IdUser = up.Id
		Where sc.RecordAccess = 2 --Участники слушают
		Group By sc.Id

	Insert into @A_Stat_Conference_tmp2
		Select sc.Id From @A_Stat_Conference_tmp1 sc
			Inner join A_Stat_Conference_RecordAccessUsers scr on sc.Id = scr.IdConf
			Inner join @upermitted up on scr.IdUser = up.Id
		Where sc.RecordAccess = 3 --Указанные участники слушают
		Group By sc.Id

	if ( @canlistenext > 0 ) 
	begin -- Тот, у кого есть право на все внешние линии, слушает
	    Insert into @A_Stat_Conference_tmp2
		Select sc.Id From @A_Stat_Conference_tmp1 sc
			Inner join A_Stat_Conference_Competitors scc on scc.IdConf = sc.Id
		Where scc.IdUser = 'BF000000-0000-0000-0000-000000000000'
			And not exists ( Select id from @A_Stat_Conference_tmp2 where id = sc.Id )
		Group By sc.Id
        end

        Select * From
        (
	    Select sc.*, 
		0 as IsConf, @idempty as Director, sc.TimeStart as CTS, 
		case When ( c.Id is null ) then 0 else 1 end as HasComment
 	    FROM A_Stat_Connections_1x1 sc --With ( TabLock )--,@ulpermitted ul,@tasks t
		Inner join @A_Stat_Connections_1x1_tmp sct on sc.Id=sct.Id
		Left join A_Stat_Comments c on sc.Id = c.Id
		--Inner Join @commpermitted cp on sc.ID=cp.ID

	    Union All

   	    -- Ид конференции пусть выступает цепочкой, по ней можно будет группировать конференции в статистике
	    -- А ид коммутации так и остается ид коммутации
	    Select IdConn, sc.Id as IdChain, @idempty as IdPrev, @idempty as IdNext, 
		scc.TimeStart, scc.TimeStart as TimeAnswer, scc.TimeStop, 
		ReasonStart, ReasonStop, 0 as StopSide, 
		IdLine, IdConf, OutNumber, '', LineNum, SubString ( cast ( Room as nvarchar ( 10 ) ), 1, 10 ), 
		IdUser, @idconfuser, '', '', IsRecorded, case when sc.Type = 1 then 11/*селектор*/ else 10/*конф*/ end, 
		StrName, SubString ( case when Name != '' then Name else '#' + cast ( Room as nvarchar ( 10 ) ) end, 1, 200 ), 
		0, 1, IdRecDir, 
		1 as IsConf, sc.Director, sc.TimeStart as CTS,
		case When ( c.Id is null ) then 0 else 1 end as HasComment
	    FROM A_Stat_Conference_Competitors scc
		Inner join A_Stat_Conference sc on sc.Id = scc.IdConf
		Inner join @A_Stat_Conference_tmp2 sct on sc.Id = sct.Id --фильтр по правам
		Left join A_Stat_Comments c on sc.Id = c.Id
		--Inner join @upermitted up on up.Id = scc.IdUser -- чтобы в конференции даже если она разрешена на просмотр не видеть записи неподчиненных
	    Where ((( scc.TimeStart <= @dstart ) and ( scc.TimeStop > @dstart ))
		or (( scc.TimeStart < @dstop ) and ( scc.TimeStop >= @dstop ))
		or (( scc.TimeStart <= @dstart ) and ( scc.TimeStop > @dstart ))
		or (( scc.TimeStart >= @dstart ) and ( scc.TimeStop <= @dstop )))
		and (( @idoperator is null ) or ( scc.IdUser = @idoperator ))
		and (( @idgroup is null ) or ( exists (select * from @oppsingroup where id = scc.IdUser) ))
		and (( @idclient is null ) or ( exists (select * from @clientcontacts where id = scc.OutNumber) ))
		and (( @OutNumber is null ) or ( scc.OutNumber = @OutNumber ))
       )a
       order by timestart DESC
    end
end
GO