﻿

If exists ( Select * From sysobjects where id = object_id ( 'dbo.A_Stat_DTMF' ))
  If not Exists ( Select * From INFORMATION_SCHEMA.Columns Where TABLE_NAME like 'A_Stat_DTMF' 
								and TABLE_SCHEMA like 'dbo'
								and COLUMN_NAME like 'IdChain' )
	Alter Table dbo.A_Stat_DTMF
	Add [IdChain] uniqueidentifier
GO



If exists ( Select * From sysobjects where id = object_id ( 'dbo.A_Stat_DTMF' ))
  If not Exists ( Select * From INFORMATION_SCHEMA.Columns Where TABLE_NAME like 'A_Stat_DTMF' 
								and TABLE_SCHEMA like 'dbo'
								and COLUMN_NAME like 'IdConn' )
	Alter Table dbo.A_Stat_DTMF
	Add [IdConn] uniqueidentifier
GO


if exists ( Select * from sysobjects where id=object_id ( 'dbo.A_Stat_DTMF_Save' ))
	Drop procedure dbo.A_Stat_DTMF_Save
GO

Create procedure [dbo].[A_Stat_DTMF_Save]
	@dt datetime = null,
	@line uniqueidentifier,
	@symbol nvarchar ( 5 ),
	@idchain uniqueidentifier = NULL,
	@idconn uniqueidentifier = NULL
as
begin
	Insert into A_Stat_DTMF ( DT, LineID, Symbol, IdChain, IdConn )
	Values ( @dt, @line, @symbol, @idchain, @idconn )
end
GO


