﻿
if exists ( Select * from sysobjects where id = object_id ( 'dbo.A_TaskManager_SubTasks_old' ))
	Drop table dbo.A_TaskManager_SubTasks_old
GO


exec dbo.[A_DB_ClearConstraintsAll] 'A_TaskManager_SubTasks'
GO

if exists ( select * from sysobjects where id = object_id ( 'dbo.A_TaskManager_SubTasks' ))
	exec sp_rename 'dbo.A_TaskManager_SubTasks', 'A_TaskManager_SubTasks_old'
GO


if not exists ( Select * from sysobjects where id = object_id ( 'dbo.A_TaskManager_SubTasks' ))
CREATE TABLE [dbo].[A_TaskManager_SubTasks]
(
	[IdInList] [int] NOT NULL,
	[TaskId] [uniqueidentifier] NOT NULL,
	[NResult] [int] NOT NULL,
	[IsDeleted] [int] NOT NULL,
	[NextEffortTime] [datetime] NULL,
	[RetryNumbers] [nvarchar](1000) COLLATE database_default NULL,
) 
ON [PRIMARY]
GO

ALTER TABLE [dbo].[A_TaskManager_SubTasks] ADD CONSTRAINT [PK_A_TaskManager_SubTasks_tID_idIL] PRIMARY KEY CLUSTERED 
(
	[TaskId] ASC,
	[IdInList] ASC
)
GO

if exists ( Select * from sysobjects where id = object_id ( 'dbo.A_TaskManager_SubTasks_old' ))
	Insert into dbo.A_TaskManager_SubTasks ( IdInList, TaskId, NResult, IsDeleted, NextEffortTime, RetryNumbers )
		Select IdInList, TaskId, NResult, 0, NextEffortTime, RetryNumbers
		From dbo.A_TaskManager_SubTasks_old
GO


if exists ( Select * from sysobjects where id = object_id ( 'dbo.A_TaskManager_SubTasks_old' ))
	Drop table dbo.A_TaskManager_SubTasks_old
GO
