﻿---------------------------------------------------------
-----     Создание таблиц в базе oktell_settings    -----
---------------------------------------------------------

----------------------------------------------
-- WO_Dashboards_Widgets_Constructor_Fields --
----------------------------------------------

IF  EXISTS (SELECT * FROM oktell_settings.dbo.sysobjects WHERE id = OBJECT_ID(N'[oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Fields]', 'U'))
DROP TABLE [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Fields]
GO

CREATE TABLE [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Fields](
	[Id] [uniqueidentifier] NOT NULL,
	[IdConstructorFields] [uniqueidentifier] NULL,
	[ConstructorValueId] [int] NULL,
	[ConstructorFunctionId] [int] NULL,
	[ConstantValue] [nvarchar](50) NULL,
 CONSTRAINT [PK_WO_Dashboards_Widgets_Constructor_Fields] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

-----------------------------------------------
-- WO_Dashboards_Widgets_Constructor_Filters --
-----------------------------------------------

IF  EXISTS (SELECT * FROM oktell_settings.dbo.sysobjects WHERE id = OBJECT_ID(N'[oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Filters]', 'U'))
DROP TABLE [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Filters]
GO

CREATE TABLE [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Filters](
	[Id] [uniqueidentifier] NOT NULL,
	[IdConstructorFilters] [uniqueidentifier] NULL,
	[ConstructorFilterId] [int] NULL,
	[ConstructorFilterOperationId] [int] NULL,
	[ConstructorFilterValueId] [uniqueidentifier] NULL,
	[ConstructorFilterValue1] [nvarchar](50) NULL,
	[ConstructorFilterValue2] [nvarchar](50) NULL,
 CONSTRAINT [PK_WO_Dashboards_Widgets_Constructor_Filters] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Filters] ADD  DEFAULT ((0)) FOR [ConstructorFilterOperationId]
GO

-------------------------------------------------------------------------------
-----     Создание представлений в базе oktell на таблицы базы oktell     -----
-------------------------------------------------------------------------------

----------------------------------------------
-- WO_Dashboards_Widgets_Constructor_Fields --
----------------------------------------------

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[WO_Dashboards_Widgets_Constructor_Fields]', 'V'))
DROP VIEW [dbo].[WO_Dashboards_Widgets_Constructor_Fields]
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[WO_Dashboards_Widgets_Constructor_Fields]', 'U'))
DROP Table [dbo].[WO_Dashboards_Widgets_Constructor_Fields]
GO

CREATE VIEW [dbo].[WO_Dashboards_Widgets_Constructor_Fields]
AS
	SELECT	*
	FROM [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Fields]
GO

----------------------------
-- WO_Dashboards_Sections --
----------------------------

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[WO_Dashboards_Widgets_Constructor_Filters]', 'V'))
DROP VIEW [dbo].[WO_Dashboards_Widgets_Constructor_Filters]
GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[WO_Dashboards_Widgets_Constructor_Filters]', 'U'))
DROP TABLE [dbo].[WO_Dashboards_Widgets_Constructor_Filters]
GO

CREATE VIEW [dbo].[WO_Dashboards_Widgets_Constructor_Filters]
AS
	SELECT	*
	FROM [oktell_settings].[dbo].[WO_Dashboards_Widgets_Constructor_Filters]
GO
