﻿
if not (object_id ( 'dbo.A_DB_HistoryTriggersChangeEnabled' ) is null )
	Drop procedure dbo.A_DB_HistoryTriggersChangeEnabled
GO

Create procedure dbo.A_DB_HistoryTriggersChangeEnabled
	@enable bit = 1
as
begin

	Declare @Table_name nVARCHAR(500), 
		@sql nvarchar(4000), 
		@switchmode nvarchar(50)

	if (@enable = 1)
		Set @switchmode = 'ENABLE'
	else
		Set @switchmode = 'DISABLE'

	Declare db_cursor cursor for
			Select c.name name
			From oktell_settings..sysobjects c
			Where ([type] = 'U')
				and exists (Select 1 From oktell_settings..sysobjects where [type] = 'TR' and name = c.name + '_trg')
			Order by name
	                                                
	Open db_cursor
	Fetch next from db_cursor into @Table_name

	While (@@FETCH_STATUS = 0) begin
		Set @sql = N'
		Alter Table oktell_settings.dbo.[' + @Table_name + '] ' + @switchmode + ' TRIGGER [' + @Table_name + '_trg]		
		'
		
		--print @sql
		exec sp_executesql @sql
		
		
		Fetch next from db_cursor into @Table_name
	end

	Close db_cursor
	Deallocate db_cursor
	
end
GO
